## jxtray.io
Class WriterContext

    java.lang.Object
      jxtray.io.WriterContext

public class WriterContext
extends java.lang.Object

Author:
  Jean-Yves Beaujean This class represent the context of the writer action. WriterStrategy object is set according to the context : Jar, Zip, All set methods must be used to set this object.

Constructor Summary
`WriterContext(java.lang.String filename)`

Method Summary
`void` `close()`
`void` `open()`
`void` `setGunzipWriterStrategy(java.lang.String filename)`
`void` `setJarWriterStrategy(java.lang.String filename)`
`void` `setPlainTextWriterStrategy(java.lang.String filename)`
`void` `setZipWriterStrategy(java.lang.String filename)`
`void` `write(java.lang.String data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WriterContext

    public WriterContext(java.lang.String filename)

Method Detail

### setPlainTextWriterStrategy

    public void setPlainTextWriterStrategy(java.lang.String filename)

### setZipWriterStrategy

    public void setZipWriterStrategy(java.lang.String filename)

### setGunzipWriterStrategy

    public void setGunzipWriterStrategy(java.lang.String filename)

### setJarWriterStrategy

    public void setJarWriterStrategy(java.lang.String filename)

### write

    public void write(java.lang.String data)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### open

    public void open()
              throws java.io.IOException

  Throws:
    `java.io.IOException`